# Package org.w3c.dom.xpath

Interface Summary
Interface | Description
--- | ---
XPathEvaluator | The evaluation of XPath expressions is provided by `XPathEvaluator`.
XPathExpression | The `XPathExpression` interface represents a parsed and resolved XPath expression.
XPathNamespace | The `XPathNamespace` interface is returned by `XPathResult` interfaces to represent the XPath namespace node type that DOM lacks.
XPathNSResolver | The `XPathNSResolver` interface permit `prefix` strings in the expression to be properly bound to `namespaceURI` strings.
XPathResult | The `XPathResult` interface represents the result of the evaluation of an XPath 1.0 expression within the context of a particular node.

Exception Summary
Exception | Description
--- | ---
XPathException | A new exception has been created for exceptions specific to these XPath interfaces.